- Tax Entities
- Get a tax entity
Tax Entities
Get a tax entity
Retrieve a tax entity by id.
curl --request GET \
--url https://public-api.sandbox.remitian.com/v1/taxpayers/{taxpayerId}/tax-entities/{taxEntityId} \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>'Authorizations
Query Parameters
Unique identifier of the tax entity.
Unique identifier of the taxpayer.
API key of your Client Application.
Response
200
401
403
404
OK
The unique identifier of the tax entity.
The unique identifier of the taxpayer.
The Tax Identification Number (SSN or EIN).
The type of tax entity. IrsSsn for individuals, IrsEin for businesses.
IrsSsn, IrsEin Optional external identifier provided by the client.
The first name of the individual (present for IrsSsn).
The last name of the individual (present for IrsSsn).
Email address. Optional. Only present for individual entities (IrsSsn).
Filing status (optional, for IrsSsn only).
Single, MarriedFiledJointReturn, MarriedFiledSeparateReturn, HeadOfHousehold, QualifyingWidow The business name (present for IrsEin).
List of regional tax registrations (for IrsEin only).
The address information (null when not provided).
Phone number (optional, for all types).
curl --request GET \
--url https://public-api.sandbox.remitian.com/v1/taxpayers/{taxpayerId}/tax-entities/{taxEntityId} \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>'